Attribute VB_Name = "Module1"
Option Explicit
Public TW As Double
Public fQuarz
Public Nrec
Public N
Public R
Public Valfreq As Double
Public Clockref
Public multiFactor
Public Port As Integer
Public bFormOnTop As Boolean
Public Const bitCS = 2 ^ 4, bitCkAD = 2 ^ 3
Public NNdel As Integer
Public Const Del = 1
Type Complex
    X As Single
    Y As Single
End Type
Public Declare Function Inp Lib "inpout32.dll" _
Alias "Inp32" (ByVal Port As Integer) As Integer
Public Declare Sub Out Lib "inpout32.dll" _
Alias "Out32" (ByVal Port As Integer, ByVal Value As Integer)
Public Sub SendTW(a As Long)
    Dim a0 As Integer, a1 As Integer, a2 As Integer, a3 As Integer
    a0 = a And 255: a = a \ 256
    a1 = a And 255: a = a \ 256
    a2 = a And 255
    a3 = a \ 256
    SendByte (4)   'register 00000004
    SendByte (a3)  'Send first left byte
    SendByte (a2)  'Send second left byte
    SendByte (a1)  'Send tirth left byte
    SendByte (a0)  'Send fourth lrft byte
    DDS_Strobe
End Sub
Public Sub SendByte(a As Integer)
    Dim k, B As Integer
    B = 128
    For k = 0 To 7
        If (a And B) > 0 Then Send_1 Else Send_0
        B = B \ 2
    Next
End Sub
Public Sub Send_0()
  Out Port, 0 + 0 + bitCS '00010000 send 0 to bit0 DDS-Data
  Delay Del
  Out Port, 2 + 0 + bitCS '00010010 send 1 to bit1 activate DDS-Clock
  Delay Del
End Sub

Public Sub Send_1()
    Out Port, 0 + 1 + bitCS '00010001 send 1 to bit0 DDS-Data
    Delay Del
    Out Port, 2 + 1 + bitCS '00010011 send 1 to bit1 activate DDS-Clock
   Delay Del
End Sub
Public Sub DDS_Strobe()
    Delay Del
    Out (Port), 4 + bitCS 'send 00010100 to DDS_Strobe
    Delay Del
    Delay Del
    Out (Port), 0 + bitCS 'send 00010000 to DDS_Strobe
    Delay Del
End Sub

Public Sub Delay(Del)
    Dim k As Double, a As Integer, AA As Double
        AA = NNdel * Del
        For k = 1 To AA
        a = a + 0
               
    Next
End Sub

Public Sub DDS_Set_Register01()
    SendByte (1)   'register CFR2 (00000001)
    SendByte (0)   '00000000
    SendByte (0)   '00000000
    SendByte (multiFactor * 8 + 6) 'Multiply Factor
    DDS_Strobe
End Sub
Public Sub DDS_Reset()
    Out Port, 128 + bitCS '10010000 = 144
    Delay Del
    Out Port, 0 + bitCS   '00010000 = 16
    Delay Del
End Sub

Public Sub Read_parameters()
On Error GoTo errore
  Dim a As String
    Open "dds.cfg" For Input As #1
    Input #1, a: multiFactor = CInt(a)
    Input #1, a: fQuarz = Val(a)
    Input #1, a: Clockref = Val(a)
    Input #1, a: Port = Val(a)
    Close #1
   Exit Sub
errore:
 Close #1
End Sub
 
Public Sub Save_DataClock()
On Error GoTo errore1
 Dim a As String
  Open "dds.cfg" For Output As #1
    Write #1, Str(multiFactor)
    Write #1, Str(fQuarz)
    Write #1, Str(Clockref)
    Write #1, Str(Port)
    Close #1
 Exit Sub
errore1:
 Close #1
End Sub
