VERSION 5.00
Begin VB.Form Parameters 
   Caption         =   "DDS_VFO & Power_Meter & Antenna_Analyzer Parameters"
   ClientHeight    =   3120
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   7815
   Icon            =   "Form2.frx":0000
   LinkTopic       =   "Form2"
   ScaleHeight     =   3120
   ScaleWidth      =   7815
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton Command1 
      Caption         =   "OK"
      Height          =   615
      Left            =   6720
      TabIndex        =   13
      Top             =   2400
      Width           =   855
   End
   Begin VB.Frame Frame1 
      Caption         =   "LPT Port Command Address"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1815
      Left            =   3840
      TabIndex        =   8
      Top             =   360
      Width           =   3735
      Begin VB.OptionButton Option9 
         Caption         =   "LPT1 : HEX378"
         Height          =   375
         Left            =   240
         TabIndex        =   11
         Top             =   240
         Value           =   -1  'True
         Width           =   1575
      End
      Begin VB.OptionButton Option10 
         Caption         =   "LPT2 : HEX278"
         Height          =   495
         Left            =   240
         TabIndex        =   10
         Top             =   720
         Width           =   1575
      End
      Begin VB.OptionButton Option11 
         Caption         =   "LPT3 : HEX3BC"
         Height          =   375
         Left            =   240
         TabIndex        =   9
         Top             =   1320
         Width           =   1575
      End
      Begin VB.Label Label2 
         Height          =   1455
         Left            =   2040
         TabIndex        =   12
         Top             =   240
         Width           =   1575
      End
   End
   Begin VB.Frame Frame2 
      Caption         =   "RefClk Multiplier"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1815
      Left            =   240
      TabIndex        =   0
      Top             =   360
      Width           =   3375
      Begin VB.TextBox Text2 
         BackColor       =   &H0000FF00&
         Height          =   285
         Left            =   240
         TabIndex        =   2
         Text            =   "80"
         Top             =   480
         Width           =   975
      End
      Begin VB.HScrollBar HScroll1 
         Height          =   255
         Left            =   1920
         Max             =   20
         TabIndex        =   1
         Top             =   1200
         Value           =   4
         Width           =   1095
      End
      Begin VB.Label Label4 
         Alignment       =   1  'Right Justify
         BackColor       =   &H00000000&
         BorderStyle     =   1  'Fixed Single
         ForeColor       =   &H0000FFFF&
         Height          =   255
         Left            =   2160
         TabIndex        =   7
         Top             =   480
         Width           =   855
      End
      Begin VB.Label Label5 
         Caption         =   "Fr Quartz in MHz"
         Height          =   255
         Left            =   240
         TabIndex        =   6
         Top             =   240
         Width           =   1215
      End
      Begin VB.Label Label6 
         Caption         =   "ref Clock"
         Height          =   255
         Left            =   2160
         TabIndex        =   5
         Top             =   240
         Width           =   855
      End
      Begin VB.Label Label9 
         AutoSize        =   -1  'True
         Caption         =   "Multiply factor"
         Height          =   195
         Left            =   240
         TabIndex        =   4
         Top             =   1200
         Width           =   975
      End
      Begin VB.Label Label10 
         Alignment       =   2  'Center
         AutoSize        =   -1  'True
         BackColor       =   &H00000000&
         BorderStyle     =   1  'Fixed Single
         Caption         =   "5"
         ForeColor       =   &H0000FFFF&
         Height          =   255
         Left            =   1530
         TabIndex        =   3
         Top             =   1200
         Width           =   150
      End
   End
End
Attribute VB_Name = "Parameters"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private clockref1
Private fQuarz1
Private multifactor1

Private Sub Command1_Click()

    If clockref1 > 501 Then
        MsgBox "Ref Frequency over the maximum!", vbExclamation
        Exit Sub
    End If
    multiFactor = multifactor1
    Clockref = clockref1
    fQuarz = fQuarz1
    If Option9.Value = True Then Port = &H378
    If Option10.Value = True Then Port = &H278
    If Option11.Value = True Then Port = &H3BC
    Save_DataClock
    Unload Me
End Sub

Private Sub Form_Load()
    multifactor1 = multiFactor
    fQuarz1 = fQuarz
    clockref1 = Clockref
    Label10.Caption = multifactor1
    HScroll1.Value = multifactor1
    Text2.Text = Str(fQuarz1)
    Label4.Caption = clockref1
    If Port = &H378 Then Option9.Value = True
    If Port = &H278 Then Option10.Value = True
    If Port = &H3BC Then Option11.Value = True
End Sub

Private Sub HScroll1_Change()
multifactor1 = HScroll1.Value
If multifactor1 > 3 Then clockref1 = fQuarz1 * multifactor1 Else clockref1 = fQuarz1
Label4.Caption = clockref1

Label10.Caption = multifactor1
End Sub








Private Sub Text2_Change()
fQuarz1 = Val(Text2.Text)
If multifactor1 > 3 Then clockref1 = fQuarz1 * multifactor1 Else clockref1 = fQuarz1
Label4.Caption = clockref1
End Sub
